cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "SHAH, Urvi (Urvi U)" <urvi.s...@alcatel-lucent.com>
Subject RE: marvin installation error on cloudstack 4.3; Unable to load plugin marvinPlugin = marvin.marvinPlugin:MarvinPlugin: 'module' object has no attribute 'case'
Date Tue, 07 Jul 2015 21:33:16 GMT
Hi Santosh,

I had already tried doing “python setup.py install”.

Thanks,
Urvi

---------- Forwarded message ----------
From: Santhosh Edukulla <santhosh.edukulla@gmail.com<mailto:santhosh.edukulla@gmail.com>>
Date: Mon, Jul 6, 2015 at 11:17 PM
Subject: Re: marvin installation error on cloudstack 4.3; Unable to load plugin marvinPlugin
= marvin.marvinPlugin:MarvinPlugin: 'module' object has no attribute 'case'
To: dev@cloudstack.apache.org<mailto:dev@cloudstack.apache.org>


Hi Urvi,

Just go to ../tools/marvin directory under CS and run *"python setup.py
install".*

Regards,
Santhosh

On Tue, Jul 7, 2015 at 4:10 PM, Daan Hoogland <daan.hoogland@gmail.com<mailto:daan.hoogland@gmail.com>>
wrote:

> Can you try unistalling or using --upgrade in the pip command?
> If that doesn't work can you try a 4.6/master version of marvin?
>
> rgards,
>
> On Tue, Jul 7, 2015 at 4:30 AM, Urvi Shah <urvi.shah@nuagenetworks.net<mailto:urvi.shah@nuagenetworks.net>>
> wrote:
> > Hi,
> >
> > I am trying to run marvin tests on cloudstack 4.3. the steps that i
> > followed are as follows :
> >
> > 1. build marvin from cloudstack 4.3 local repo using : 'mvn -P developer
> > -pl :cloud-marvin'
> > 2. copied tools/marvin/dist/Marvin-0.1.0.tar to the server where i want
> to
> > run marvin tests.
> > 3. successfully installed marvin
> >
> >  [root@csc-1 ~]# pip install Marvin-0.1.0.tar
> > Unpacking ./Marvin-0.1.0.tar
> >   Running setup.py egg_info for package from
> file:///root/Marvin-0.1.0.tar<file:///\\root\Marvin-0.1.0.tar>
> >     warning: no files found matching '*.txt' under directory 'docs'
> > Requirement already satisfied (use --upgrade to upgrade):
> > mysql-connector-python in
> > /usr/lib/python2.6/site-packages/mysql_connector_python-2.0.4-py2.6.egg
> > (from Marvin==0.1.0)
> > Requirement already satisfied (use --upgrade to upgrade): requests in
> > /usr/lib/python2.6/site-packages (from Marvin==0.1.0)
> > Requirement already satisfied (use --upgrade to upgrade): paramiko in
> > /usr/lib/python2.6/site-packages (from Marvin==0.1.0)
> > Requirement already satisfied (use --upgrade to upgrade): nose in
> > /usr/lib/python2.6/site-packages/nose-1.3.7-py2.6.egg (from
> Marvin==0.1.0)
> > Requirement already satisfied (use --upgrade to upgrade): ddt>=0.4.0 in
> > /usr/lib/python2.6/site-packages/ddt-1.0.0-py2.6.egg (from Marvin==0.1.0)
> > Requirement already satisfied (use --upgrade to upgrade): pycrypto>=1.9
> in
> > /usr/lib64/python2.6/site-packages (from paramiko->Marvin==0.1.0)
> > Installing collected packages: Marvin
> >   Running setup.py install for Marvin
> >     warning: no files found matching '*.txt' under directory 'docs'
> > Successfully installed Marvin
> >
> > 4. when i try to verify the installation get the following error :
> >
> > [root@csc-1 ~]# nosetests -p
> >
> /usr/lib/python2.6/site-packages/nose-1.3.7-py2.6.egg/nose/plugins/manager.py:395:
> > RuntimeWarning: Unable to load plugin marvinPlugin =
> > marvin.marvinPlugin:MarvinPlugin: 'module' object has no attribute 'case'
> >   RuntimeWarning)
> > Plugin capture
> > Plugin failuredetail
> > Plugin xunit
> > Plugin deprecated
> > Plugin skip
> > Plugin multiprocess
> > Plugin logcapture
> > Plugin coverage
> > Plugin attributeselector
> > Plugin doctest
> > Plugin profile
> > Plugin id
> > Plugin allmodules
> > Plugin collect-only
> > Plugin isolation
> > Plugin pdb
> >
> >
> > Anything that i am missing? Appreciate your help.
> >
> > Thanks,
> > Urvi
>
>
>
> --
> Daan
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message